package beilv.carousel.service;

import java.util.List;

import beilv.carousel.domain.BeilvCarousel;

/**
 * 轮播Service接口
 *
 * @author ruoyi
 * @date 2025-11-18
 */
public interface IBeilvCarouselService {
    /**
     * 查询轮播
     *
     * @param id 轮播主键
     * @return 轮播
     */
    public BeilvCarousel selectBeilvCarouselById(Long id);

    /**
     * 查询轮播列表
     *
     * @param beilvCarousel 轮播
     * @return 轮播集合
     */
    public List<BeilvCarousel> selectBeilvCarouselList(BeilvCarousel beilvCarousel);

    /**
     * 新增轮播
     *
     * @param beilvCarousel 轮播
     * @return 结果
     */
    public int insertBeilvCarousel(BeilvCarousel beilvCarousel);

    /**
     * 修改轮播
     *
     * @param beilvCarousel 轮播
     * @return 结果
     */
    public int updateBeilvCarousel(BeilvCarousel beilvCarousel);

    /**
     * 批量删除轮播
     *
     * @param ids 需要删除的轮播主键集合
     * @return 结果
     */
    public int deleteBeilvCarouselByIds(String ids);

    /**
     * 删除轮播信息
     *
     * @param id 轮播主键
     * @return 结果
     */
    public int deleteBeilvCarouselById(Long id);

    List<BeilvCarousel> selectAppCarouselList();

}
